Skip to main content
GET
/
api
/
v1
/
a2ui
/
conversations
/
{conversation_id}
/
surfaces
ListSurfaces
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.A2UI.ListSurfaces(ctx, operations.C1APIA2uiV1A2UIServiceListSurfacesRequest{
        ConversationID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.A2UIServiceListSurfacesResponse != nil {
        // handle response
    }
}
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.a2Ui.listSurfaces({
    conversationId: "<id>",
  });

  console.log(result);
}

run();
curl --request GET \
  --url https://{tenantDomain}.conductor.one/api/v1/a2ui/conversations/{conversation_id}/surfaces \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}.conductor.one/api/v1/a2ui/conversations/{conversation_id}/surfaces"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}.conductor.one/api/v1/a2ui/conversations/{conversation_id}/surfaces', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "surfaces": [
    {
      "catalogId": "<string>",
      "components": [
        {
          "button": {
            "action": {
              "event": {
                "context": {},
                "name": "<string>"
              },
              "functionCall": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              }
            },
            "checks": [
              {
                "and": {
                  "checks": "<array>"
                },
                "call": {
                  "args": {},
                  "call": "<string>",
                  "message": "<string>"
                },
                "or": {
                  "checks": "<array>"
                }
              }
            ],
            "disabled": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": true,
              "path": "<string>"
            },
            "label": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            }
          },
          "c1CodeBlock": {
            "code": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "copyable": true,
            "language": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "title": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            }
          },
          "c1ConnectorConfigForm": {
            "appId": "<string>",
            "connectorId": "<string>",
            "skipActionName": "<string>",
            "submitActionName": "<string>"
          },
          "c1ConnectorSyncDetail": {
            "appId": "<string>",
            "connectorId": "<string>",
            "title": "<string>"
          },
          "c1ConnectorSyncProgress": {
            "appId": "<string>",
            "connectorId": "<string>",
            "title": "<string>"
          },
          "c1DurationPicker": {
            "label": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "maxDurationSeconds": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            },
            "value": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            }
          },
          "c1MsTeamsNotifications": {},
          "c1OnboardingPlan": {
            "categories": [
              {
                "id": "<string>",
                "steps": [
                  {
                    "agentAssisted": true,
                    "description": "<string>",
                    "id": "<string>",
                    "title": "<string>"
                  }
                ],
                "title": "<string>"
              }
            ]
          },
          "c1OnboardingWelcome": {
            "recommendedCatalogId": "<string>",
            "recommendedDisplayName": "<string>"
          },
          "c1ResourcePicker": {
            "label": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "multiSelect": true,
            "resourceType": "<string>",
            "value": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            }
          },
          "c1SlackNotifications": {},
          "c1StatusIndicator": {
            "message": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "showSpinner": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": true,
              "path": "<string>"
            },
            "status": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "toolName": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            }
          },
          "c1TodoList": {
            "items": [
              {
                "description": {
                  "call": {
                    "args": {},
                    "call": "<string>",
                    "message": "<string>"
                  },
                  "literal": "<string>",
                  "path": "<string>"
                },
                "id": "<string>",
                "label": {
                  "call": {
                    "args": {},
                    "call": "<string>",
                    "message": "<string>"
                  },
                  "literal": "<string>",
                  "path": "<string>"
                },
                "section": "<string>",
                "status": "<string>",
                "trailingAction": {
                  "context": {},
                  "name": "<string>"
                },
                "trailingActionLabel": {
                  "call": {
                    "args": {},
                    "call": "<string>",
                    "message": "<string>"
                  },
                  "literal": "<string>",
                  "path": "<string>"
                }
              }
            ],
            "title": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            }
          },
          "card": {
            "children": {
              "ids": [
                "<string>"
              ]
            }
          },
          "checkBox": {
            "label": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "value": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": true,
              "path": "<string>"
            }
          },
          "choicePicker": {
            "choices": [
              {
                "description": {
                  "call": {
                    "args": {},
                    "call": "<string>",
                    "message": "<string>"
                  },
                  "literal": "<string>",
                  "path": "<string>"
                },
                "id": "<string>",
                "label": {
                  "call": {
                    "args": {},
                    "call": "<string>",
                    "message": "<string>"
                  },
                  "literal": "<string>",
                  "path": "<string>"
                }
              }
            ],
            "hideLabel": true,
            "label": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "multiSelect": true,
            "required": true,
            "value": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            }
          },
          "column": {
            "alignment": "<string>",
            "children": {
              "ids": [
                "<string>"
              ]
            },
            "distribution": "<string>",
            "gap": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            }
          },
          "dateTimeInput": {
            "label": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "max": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "min": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "value": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            }
          },
          "divider": {
            "orientation": "<string>"
          },
          "id": "<string>",
          "progressBar": {
            "label": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "max": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            },
            "min": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            },
            "step": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            },
            "value": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            }
          },
          "row": {
            "alignment": "<string>",
            "children": {
              "ids": [
                "<string>"
              ]
            },
            "distribution": "<string>",
            "gap": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            }
          },
          "slider": {
            "label": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "max": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            },
            "min": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            },
            "step": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            },
            "value": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": 123,
              "path": "<string>"
            }
          },
          "text": {
            "markdown": true,
            "text": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            }
          },
          "textField": {
            "checks": [
              {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              }
            ],
            "label": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "placeholder": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            },
            "value": {
              "call": {
                "args": {},
                "call": "<string>",
                "message": "<string>"
              },
              "literal": "<string>",
              "path": "<string>"
            }
          },
          "weight": 123
        }
      ],
      "conversationId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "dataModelJson": "<string>",
      "deletedAt": "2023-11-07T05:31:56Z",
      "schemaVersion": "<string>",
      "sendDataModel": true,
      "surfaceId": "<string>",
      "tenantId": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

conversation_id
string
required

The conversationId field.

Response

200 - application/json

A2UIServiceListSurfacesResponse returns active surfaces.

A2UIServiceListSurfacesResponse returns active surfaces.

surfaces
A 2 Ui Surface · object[] | null

The surfaces field.